package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.cmp.params.fusionsphere.HostOperationParams;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Server;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereHostService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/20 10:20
 */
public interface FusionSphereHostService {

    BocloudResult<GridBean<Server>> list(Pager pager, RequestContext context);

    BocloudResult<Server> detail(Long id, RequestContext context);

    BocloudResult<Void> create(Server entityParams, RequestContext context);

    BocloudResult<Void> modify(Server modifyParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> operations(HostOperationParams params, RequestContext context);

    BocloudResult listByStorageDeviceId(Long id, RequestContext context);
}